classification
Title: dataclasses: disallow inheritance between frozen and non-frozen classes
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.smith Nosy List: eric.smith
Priority: normal Keywords: patch

Created on 2018-02-26 23:41 by eric.smith, last changed 2018-03-19 01:29 by eric.smith. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5919 merged eric.smith, 2018-02-27 01:06
PR 5920 open miss-islington, 2018-02-27 01:39
Messages (4)
msg312972 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2018-02-26 23:41
This is a temporary measure until we can better define how frozen inheritance should work. In the meantime, disallow:

- frozen inherited from non-frozen
- non-frozen inherited from frozen
msg312973 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2018-02-26 23:42
See issue 32953 for a larger discussion and the ultimate resolution of this.
msg312978 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2018-02-27 01:59
New changeset a93e3dc236279692eaf50b91d358da5983983b14 by Eric V. Smith (Miss Islington (bot)) in branch '3.7':
bpo-32960: For dataclasses, disallow inheriting frozen from non-frozen classes and vice-versa, (GH-5919) (GH-5920)
https://github.com/python/cpython/commit/a93e3dc236279692eaf50b91d358da5983983b14
msg314073 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2018-03-19 01:29
Resolved by issue 32953.
History
Date User Action Args
2018-03-19 01:29:30eric.smithsetstatus: open -> closed
type: behavior
messages: + msg314073

resolution: fixed
stage: patch review -> resolved
2018-02-27 01:59:58eric.smithsetmessages: + msg312978
2018-02-27 01:39:44miss-islingtonsetpull_requests: + pull_request5691
2018-02-27 01:06:49eric.smithsetkeywords: + patch
stage: patch review
pull_requests: + pull_request5690
2018-02-26 23:42:49eric.smithsetmessages: + msg312973
2018-02-26 23:41:26eric.smithcreate